Subject: Re: [PATCH 00/13] Add IPU & DSP remoteprocs on OMAP4 and OMAP5

From: Tony Lindgren <[email-masked]>
Date: Fri, 10 Jul 2020 10:40:51 -0700

* Suman Anna <[email-masked]> [200710 17:18]:
> On 7/10/20 11:58 AM, Tony Lindgren wrote:
> > I wonder the following commit in v5.8-rc3 might help with this though:
> > 
> > 5ce8aee81be6 ("bus: ti-sysc: Flush posted write on enable and disable")
> > 
> 
> I had already tested on v5.8-rc4 when I posted the patches, so this patch
> doesn't help. OMAP5 DSP is fine, because Think it has to do with this
> automated

OK

> So, I am looking at the TRM, and the three VDD_{IVA,MPU,CORE}_I2C_DISABLE
> bits in VOLTCTRL are marked debug-purpose only, so I don't think we should
> be setting those to begin with. Any reason why you want to set those?
> Anyway, these bits were not an issue, I have specifically tried that
> already.

I'm pretty sure that's how the old TI PM branch was initializing them to
disable voltctrl I2C use on init. But if these are not the issue I guess
no need to mess with them.

Could it be that we have wrong voltage tables for 4460 in the mainline
kernel? See earlier commit 32236a84906f ("ARM: OMAP2+: Update 4430
voltage controller operating points").

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel